# Docker va descărca singur Python și Pip în interiorul imaginii
FROM python:3.9-slim

WORKDIR /app

# Copiem fișierul de dependințe
COPY requirements.txt .

# Aici Docker va rula 'pip install' în interiorul lui, nu pe Ubuntu al tău
RUN pip install --no-cache-dir -r requirements.txt

COPY . .

EXPOSE 5000

CMD ["python", "app/main.py"]